extern "C" 
{
	f32 IrrScene_ISceneNodeAnimatorCameraMaya_getMoveSpeed(ISceneNodeAnimatorCameraMaya* anim)
	{
		if (anim)
			return anim->getMoveSpeed();
		else return 0.0;
	}
	
	void IrrScene_ISceneNodeAnimatorCameraMaya_setMoveSpeed(ISceneNodeAnimatorCameraMaya* anim, f32 moveSpeed)
	{
		if (anim)
			anim->setMoveSpeed(moveSpeed);
	}
	
	f32 IrrScene_ISceneNodeAnimatorCameraMaya_getRotateSpeed(ISceneNodeAnimatorCameraMaya* anim)
	{
		if (anim)
			return anim->getRotateSpeed();
		else return 0.0;
	}
	
	void IrrScene_ISceneNodeAnimatorCameraMaya_setRotateSpeed(ISceneNodeAnimatorCameraMaya* anim, f32 rotateSpeed)
	{
		if (anim)
			anim->setRotateSpeed(rotateSpeed);
	}

	f32 IrrScene_ISceneNodeAnimatorCameraMaya_getZoomSpeed(ISceneNodeAnimatorCameraMaya* anim)
	{
		if (anim)
			return anim->getZoomSpeed();
		else return 0.0;
	}
	
	void IrrScene_ISceneNodeAnimatorCameraMaya_setZoomSpeed(ISceneNodeAnimatorCameraMaya* anim, f32 zoomSpeed)
	{
		if (anim)
			anim->setZoomSpeed(zoomSpeed);
	}
	
}